Page MenuHomePhabricator

Investigate what the "Template" part of the "Information" section in the config files is supposed to do
Closed, ResolvedPublic2 Story Points

Description

Motivation
Our config files provide info which template should be matched with which Commons template. In addition to that, they also have an "Information" section that usually contains headings that should be translated. However, in the information section, we also have a part called "template"

Task
Find out what this is meant for.

Event Timeline

Restricted Application added a project: TCB-Team. · View Herald TranscriptJun 27 2018, 11:41 AM

Quick investigation:

Result: The "Information > Template" section is only relevant if we are ever implementing the feature to create Information templates from scratch (which I suggest not to do).

Pikne added a subscriber: Pikne.Jul 2 2018, 5:11 PM

Result: The "Information > Template" section is only relevant if we are ever implementing the feature to create Information templates from scratch (which I suggest not to do).

I don't know about the usefulness of this config section, but why not add information template from scratch? Adding it along with two section headers, even if none of it is present on source page, would seem rather straightforward. Some wikis don't have information template set up, and it seems section headers weren't used for older uploads, but these are part of standard page layout on Commons and they should be added anyways. Both CommonsHelper and FTCG also always add these. What probably isn't straightforward is whether information template, if created from scratch, should be auto-filled with some data. (For instance I doubt if using upload time for date field is really wanted, even though both of these older tools for some cases do it.)

I hope you don't mind my generic feedback here. I let you decide whether it warrants a task. :)

We will definitely keep this in mind and keep investigating. So any input is welcome! However, for the moment we need to focus on the current "minimal viable product". For this, tasks like T198606 are essential to avoid loosing information in the import/transfer process. In contrast, a file description that is not in an Information template is more a matter of style. No information is lost.

In relation to always adding information template there is also this import related aspect that source/author info in source wiki is often insufficient. E.g. there are imports like this where uploader/importer likely is the author, but per Commons licensing policy this needs to be stated explicitly. Then empty information template would hopefully encourage user to fill it and provide explicit author/source info.

Dear PM. My advice her would be to close this ticket as resolved. The result of the investigation is that we don't need the "Information" section. We should remove it from all config pages to not confuse people.

This does not decline the idea of adding a canonical {{Information|…}} template when there is none. It's just that we don't need the "Information" sections to do this.

Lea_WMDE closed this task as Resolved.May 14 2019, 10:10 AM
Lea_WMDE claimed this task.